it.csi.mddtools.guigen

## Enum WidgetDataType

- java.lang.Object
- - java.lang.Enum<WidgetDataType>
  - - it.csi.mddtools.guigen.WidgetDataType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WidgetDataType>, org.eclipse.emf.common.util.Enumerator

      public enum WidgetDataType
      extends java.lang.Enum<WidgetDataType>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Widget Data Type', and utility methods for working with them. [[TODO: add documentation here]]
  See Also:
    `GuigenPackage.getWidgetDataType()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATA` The 'DATA' literal object
    `DATAORA` The 'DATAORA' literal object
    `NUMERICO` The 'NUMERICO' literal object
    `ORA` The 'ORA' literal object
    `STRINGA` The 'STRINGA' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DATA_VALUE` The 'DATA' literal value
    `static int` | `DATAORA_VALUE` The 'DATAORA' literal value
    `static int` | `NUMERICO_VALUE` The 'NUMERICO' literal value
    `static int` | `ORA_VALUE` The 'ORA' literal value
    `static int` | `STRINGA_VALUE` The 'STRINGA' literal value
    `static java.util.List<WidgetDataType>` | `VALUES` A public read-only list of all the 'Widget Data Type' enumerators

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WidgetDataType` | `get(int value)` Returns the 'Widget Data Type' literal with the specified integer value
    `static WidgetDataType` | `get(java.lang.String literal)` Returns the 'Widget Data Type' literal with the specified literal value
    `static WidgetDataType` | `getByName(java.lang.String name)` Returns the 'Widget Data Type' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static WidgetDataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WidgetDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRINGA

          public static final WidgetDataType STRINGA

      The 'STRINGA' literal object.
      See Also:
        `STRINGA_VALUE`

    - #### NUMERICO

          public static final WidgetDataType NUMERICO

      The 'NUMERICO' literal object.
      See Also:
        `NUMERICO_VALUE`

    - #### DATA

          public static final WidgetDataType DATA

      The 'DATA' literal object.
      See Also:
        `DATA_VALUE`

    - #### ORA

          public static final WidgetDataType ORA

      The 'ORA' literal object.
      See Also:
        `ORA_VALUE`

    - #### DATAORA

          public static final WidgetDataType DATAORA

      The 'DATAORA' literal object.
      See Also:
        `DATAORA_VALUE`

  - ### Field Detail

    - #### STRINGA_VALUE

          public static final int STRINGA_VALUE

      The 'STRINGA' literal value.

      If the meaning of 'STRINGA' literal object isn't clear, there really should be more of a description here...

      See Also:
        `STRINGA`, Constant Field Values

    - #### NUMERICO_VALUE

          public static final int NUMERICO_VALUE

      The 'NUMERICO' literal value.

      If the meaning of 'NUMERICO' literal object isn't clear, there really should be more of a description here...

      See Also:
        `NUMERICO`, Constant Field Values

    - #### DATA_VALUE

          public static final int DATA_VALUE

      The 'DATA' literal value.

      If the meaning of 'DATA' literal object isn't clear, there really should be more of a description here...

      See Also:
        `DATA`, Constant Field Values

    - #### ORA_VALUE

          public static final int ORA_VALUE

      The 'ORA' literal value.

      If the meaning of 'ORA' literal object isn't clear, there really should be more of a description here...

      See Also:
        `ORA`, Constant Field Values

    - #### DATAORA_VALUE

          public static final int DATAORA_VALUE

      The 'DATAORA' literal value.

      If the meaning of 'DATAORA' literal object isn't clear, there really should be more of a description here...

      See Also:
        `DATAORA`, Constant Field Values

    - #### VALUES

          public static final java.util.List<WidgetDataType> VALUES

      A public read-only list of all the 'Widget Data Type' enumerators.

  - ### Method Detail

    - #### values

          public static WidgetDataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WidgetDataType c : WidgetDataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WidgetDataType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static WidgetDataType get(java.lang.String literal)

      Returns the 'Widget Data Type' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static WidgetDataType getByName(java.lang.String name)

      Returns the 'Widget Data Type' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static WidgetDataType get(int value)

      Returns the 'Widget Data Type' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<WidgetDataType>`